var SelectLibs = function()
{
	var select = {}
	var debug = 0;
	
	select.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnOk', select.saveSelectedLibs);
	
		var libs = window.opener.Demux.getAllLibraries();
		
		var html = '<table id="library-list">';
		html += '<tr>';
		html += '<th></th>';
		html += '<th id="libheader">Library</th>';
		html += '<th>Barcode</th>';
		html += '<th>DoNotUse</th>';
		html += '</tr>';
		for (var libNo = 0; libNo < libs.length; libNo++)
		{
			var lib = libs[libNo];

			html += '<tr class="lib highlight">';
			html += '<td>'+(libNo+1)+'<input type="checkbox" id="c'+libNo+'" value="'+lib.id+'" '+(lib.selected?'checked':'')+'></td>';
			html += '<td class="lib-name"><label for="c'+libNo+'">'+Strings.encodeTags(lib.name)+'</label></td>';
			html += '<td>'+Strings.encodeTags(lib.barcode.name)+'</td>';
			html += '<td>';
			if (lib.DO_NOT_USE)
			{
				html += Strings.encodeTags(lib.DO_NOT_USE+': '+lib.DO_NOT_USE_COMMENT);
			}
			html += '</td>';
			html += '</tr>';
		}
		html += '</table>';
		Doc.element('libraries').innerHTML = html;
	}
	
	select.saveSelectedLibs = function()
	{
		var frm = document.forms['reggie'];
		var libs = window.opener.Demux.getAllLibraries();
		var numSelected = 0;
		for (var libNo = 0; libNo < libs.length; libNo++)
		{
			var lib = libs[libNo];
			lib.selected = frm['c'+libNo].checked;
			if (lib.selected) numSelected++;
		}
		
		if (numSelected == 0)
		{
			Forms.showNotification('c0', 'Please select at least one library', null, 'pointer-below');
			return;
		}
		
		window.opener.Doc.element('libsSelectedLabel').innerHTML = '('+numSelected+' selected)';
		App.closeWindow();
	}

	return select;
}();

Doc.onLoad(SelectLibs.initPage);
